#include <bits/stdc++.h>

using namespace std;

#define int long long
#define fastio ios_base::sync_with_stdio(0); cin.tie(0);
#define fileio freopen("input.in", "r", stdin); freopen("output.out", "w", stdout)

int n;
vector<pair<int, int>> a;
vector<int> answer;
vector<bool> used;
map<int, set<int>> begs;
map<int, set<int>> ends1;
int b, e;
int rast;

void dfs(int v) {
    used[v] = true;
    answer.push_back(v + 1);
    for (int u : begs[rast - a[v].second]) {
        if (u == e) continue;
        if (used[u]) continue;
        dfs(u);
    }
}

bool func() {
    answer.clear();
    begs.clear();
    ends1.clear();
    b = e = -1;
    used.assign(n, false);
    map<int, int> k1;
    for (int i = 0; i < n; ++i) {
        begs[a[i].first].insert(i);
        ends1[a[i].second].insert(i);
        if (a[i].first + a[i].second == rast) {
            k1[a[i].first]++;
        }
    }
    for (auto it : begs) {
        int s1 = it.first;
        set<int> cnt = it.second;
        set<int> cnt2 = ends1[rast - s1];
        int c = k1[it.first];
        if (c == 1 && min(cnt.size(), cnt2.size()) == 1) {
            return false;
        }
        if (cnt2.size() != cnt.size()) {
            if (cnt.size() + 1 < cnt2.size() || cnt2.size() + 1 < cnt.size()) {
                return false;
            }
            if (cnt.size() > cnt2.size()) {
                if (b == -1) {
                    b = (*cnt.begin());
                } else {
                    return false;
                }
            }
        }
    }

    for (auto it : ends1) {
        int s1 = it.first;
        set<int> cnt = it.second;
        set<int> cnt2 = begs[rast - s1];
        int c = k1[it.first];
        if (c == 1 && min(cnt.size(), cnt2.size()) == 1) {
            return false;
        }
        if (cnt2.size() != cnt.size()) {
            if (cnt.size() + 1 < cnt2.size() || cnt2.size() + 1 < cnt.size()) {
                return false;
            }
            if (cnt.size() > cnt2.size()) {
                if (e == -1) {
                    e = (*cnt.begin());
                } else {
                    return false;
                }
            }
        }
    }
    int i = max(0LL, b);
    b = i;
    dfs(i);
    return answer.size() == n;
}

signed main() {
    fastio
//    fileio
    cin >> n;
    used.resize(n, false);
    bool ok = true;
    rast = -1;
    int sum = 0;
    for (int i = 0; i < n; ++i) {
        int m, s;
        cin >> m >> s;
        int last = -1;
        int begin = -1;
        int lastr = -1;
        sum = max(s, sum);
        for (int j = 0; j < m; ++j) {
            int p;
            cin >> p;
            if (j == m - 1) {
                lastr = s - p;
            }
            if (j == 0) {
                begin = p;
            } else {
                if (rast != -1) {
                    if (rast != p - last) {
                        ok = false;
                        break;
                    }
                } else {
                    rast = p - last;
                }
            }
            last = p;
        }
        a.push_back({begin, lastr});
        if (!ok) {
            break;
        }
    }
    if (!ok) {
        cout << "No\n";
        return 0;
    }
    if (n == 1 || (n == 2 && rast == -1)) {
        cout << "Yes\n1";
        if (n == 2) {
            cout << " 2";
        }
        return 0;
    }
    if (rast != -1) {
        map<int, int> k1;
        b = -1;
        e = -1;
        for (int i = 0; i < n; ++i) {
            begs[a[i].first].insert(i);
            ends1[a[i].second].insert(i);
            if (a[i].first + a[i].second == rast) {
                k1[a[i].first]++;
            }
        }
        for (auto it : begs) {
            int s1 = it.first;
            set<int> cnt = it.second;
            set<int> cnt2 = ends1[rast - s1];
            int c = k1[it.first];
            if (c == 1 && min(cnt.size(), cnt2.size()) == 1) {
                cout << "No\n";
                return 0;
            }
            if (cnt2.size() != cnt.size()) {
                if (cnt.size() > cnt2.size()) {
                    if (b == -1) {
                        b = (*cnt.begin());
                    } else {
                        cout << "No\n";
                        return 0;
                    }
                }
            }
        }
        for (auto it : ends1) {
            int s1 = it.first;
            set<int> cnt = it.second;
            set<int> cnt2 = begs[rast - s1];
            int c = k1[it.first];
            if (c == 1 && min(cnt.size(), cnt2.size()) == 1) {
                cout << "No\n";
                return 0;
            }
            if (cnt2.size() != cnt.size()) {
                if (cnt.size() > cnt2.size()) {
                    if (e == -1) {
                        e = (*cnt.begin());
                    } else {
                        cout << "No\n";
                        return 0;
                    }
                }
            }
        }
        int i = max(0LL, b);
        b = i;
        dfs(i);
        if (answer.size() < n) {
            cout << "No\n";
        } else {
            cout << "Yes\n";
            for (i = 0; i < n; ++i) {
                cout << answer[i] << ' ';
            }
        }
    } else {
        sum *= 2;
        if (sum <= 200) {
            for (int sm = 0; sm <= sum; ++sm) {
                rast = sm;
                if (func()) {
                    cout << "Yes\n";
                    for (int i = 0; i < n; ++i) {
                        cout << answer[i] << ' ';
                    }
                    return 0;
                }
            }
            cout << "No\n";
        }
    }
}
