#include <bits/stdc++.h>

using namespace std;

//#define int long long
#define fastio ios_base::sync_with_stdio(0); cin.tie(0);

int MOD = 1000000007;


int step(int v, int s) {
    if (s == 1) return v;
    if (s == 0) return 1;
    if (s % 2 == 1) return (v * 1LL * step(v, s - 1)) % MOD;
    int v1 = step(v, s / 2);
    return (v1 * 1LL * v1) % MOD;
}

int dfs(int oz, int oo, int zz, int zo, int now) {
    if (oo < 0 || zo < 0 || zz < 0 || oz < 0) return 0;
    if (oo + zz + zo + oz == 0) return 1;
    if (now == 0) {
        int cnt = 0;
        if (zo != 0) {
            cnt += (dfs(oz, oo, zz, zo - 1, 3) * 1LL * zo) % MOD;
            cnt %= MOD;
        }
        if (zz != 0) {
            cnt += (dfs(oz, oo, zz - 1, zo, 2) * 1LL * zz) % MOD;
            cnt %= MOD;
        }
        return cnt;
    } else if (now == 1) {
        int cnt = 0;
        if (oz != 0) {
            cnt += (dfs(oz - 1, oo, zz, zo, 0) * 1LL * oz) % MOD;
            cnt %= MOD;
        }
        if (oo != 0) {
            cnt += (dfs(oz, oo - 1, zz, zo, 1) * 1LL * oo) % MOD;
            cnt %= MOD;
        }
        return cnt;
    } else if (now == 2) {
        int cnt = 0;
        if (zo != 0) {
            cnt += (dfs(oz, oo, zz, zo - 1, 3) * 1LL * zo) % MOD;
            cnt %= MOD;
        }
        if (zz != 0) {
            cnt += (dfs(oz, oo, zz - 1, zo, 2) * 1LL * zz) % MOD;
            cnt %= MOD;
        }
        return cnt;
    } else {
        int cnt = 0;
        if (oz != 0) {
            cnt += (dfs(oz - 1, oo, zz, zo, 0) * 1LL * oz) % MOD;
            cnt %= MOD;
        }
        if (oo != 0) {
            cnt += (dfs(oz, oo - 1, zz, zo, 1) * 1LL * oo) % MOD;
            cnt %= MOD;
        }
        return cnt;
    }
}

signed main() {
    fastio
    vector<string> a(3);
    for (int i = 0; i < 3; ++i) {
        cin >> a[i];
    }
    int n = a[0].size();
    for (int i = 0; i < n; ++i) {
        if (((a[0][i] - '0') + (a[1][i] - '0')) % 10 != (a[2][i] - '0') &&
            ((a[0][i] - '0') + (a[1][i] - '0') + 1) % 10 != (a[2][i] - '0')) {
            cout << 0;
            return 0;
        }
    }
    int oz;
    int zo;
    int oo;
    int zz;
    oz = zo = oo = zz = 0;
    int oz0 = 0;
    int zz0 = 0;
    for (int i = 0; i < n; ++i) {
        int c1 = (a[0][i] - '0');
        int c2 = (a[1][i] - '0');
        int c3 = (a[2][i] - '0');
        bool ok = c1 == 0 || c2 == 0 || c3 == 0;
        if ((c1 + c2) % 10 == c3) {
            if ((c1 + c2) / 10 == 0) {
                ++zz;
                if (ok) ++zz0;
            } else {
                ++zo;
            }
        } else {
            if ((c1 + c2 + 1) / 10 == 0) {
                ++oz;
                if (ok) ++oz0;
            } else {
                ++oo;
            }
        }
    }
    if (zo != oz) {
        cout << 0;
        return 0;
    }
    cout << ((dfs(oz - 1, oo, zz, zo, 0) * 1LL * (oz - oz0) % MOD) + (dfs(oz, oo, zz - 1, zo, 2) * 1LL * (zz - zz0) % MOD)) % MOD;
}